Module java.base
Package java.lang.foreign

# Interface UnionLayout

All Superinterfaces:
  `GroupLayoutPREVIEW`, `MemoryLayoutPREVIEW`

public sealed interface UnionLayout extends GroupLayoutPREVIEW
`UnionLayout` is a preview API of the Java platform.
Programs can only use `UnionLayout` when preview features are enabled.
Preview features may be removed in a future release, or upgraded to permanent features of the Java platform.
A group layout whose member layouts are laid out at the same starting offset.

Implementation Requirements:
  Implementing classes are immutable, thread-safe and value-based.
Since:
  20

## Nested Class Summary

## Nested classes/interfaces declared in interface java.lang.foreign.MemoryLayoutPREVIEW

`MemoryLayout.PathElementPREVIEW`

## Method Summary

Modifier and Type
Method
Description
`UnionLayoutPREVIEW`
`withByteAlignment(long byteAlignment)`
Returns a memory layout with the same characteristics as this layout, but with the given alignment constraint (in bytes).
`UnionLayoutPREVIEW`
`withName(String name)`
Returns a memory layout with the same characteristics as this layout, but with the given name.
`UnionLayoutPREVIEW`
`withoutName()`
Returns a memory layout with the same characteristics as this layout, but with no name.

### Methods declared in interface java.lang.foreign.GroupLayoutPREVIEW

`memberLayouts`

### Methods declared in interface java.lang.foreign.MemoryLayoutPREVIEW

`byteAlignment, byteOffset, byteOffsetHandle, byteSize, equals, hashCode, name, select, sliceHandle, toString, varHandle`

## Method Details

### withName

UnionLayoutPREVIEW withName(String name)
Returns a memory layout with the same characteristics as this layout, but with the given name.

Specified by:
  `withName` in interface `GroupLayoutPREVIEW`
Specified by:
  `withName` in interface `MemoryLayoutPREVIEW`
Parameters:
  `name` - the layout name.
Returns:
  a memory layout with the same characteristics as this layout, but with the given name
See Also:
  - `MemoryLayout.name()`PREVIEW

### withoutName

UnionLayoutPREVIEW withoutName()
Returns a memory layout with the same characteristics as this layout, but with no name.

Specified by:
  `withoutName` in interface `GroupLayoutPREVIEW`
Specified by:
  `withoutName` in interface `MemoryLayoutPREVIEW`
Returns:
  a memory layout with the same characteristics as this layout, but with no name
See Also:
  - `MemoryLayout.name()`PREVIEW

### withByteAlignment

UnionLayoutPREVIEW withByteAlignment(long byteAlignment)
Returns a memory layout with the same characteristics as this layout, but with the given alignment constraint (in bytes).

Specified by:
  `withByteAlignment` in interface `GroupLayoutPREVIEW`
Specified by:
  `withByteAlignment` in interface `MemoryLayoutPREVIEW`
Parameters:
  `byteAlignment` - the layout alignment constraint, expressed in bytes.
Returns:
  a memory layout with the same characteristics as this layout, but with the given alignment constraint (in bytes)
Throws:
  `IllegalArgumentException` - if `byteAlignment` is not a power of two.
  `IllegalArgumentException` - if `byteAlignment` is less than `M`, where `M` is the maximum alignment constraint in any of the member layouts associated with this group layout.